#!/usr/bin/env python
# Python script to be run in Moneydance to perform amazing feats of financial data scripting
# get the default environment variables, set by Moneydance

from com.infinitekind.moneydance.model import *

import sys
import time
import json

print "The Moneydance app controller: %s"%(moneydance)
print "The current data set: %s"%(moneydance_data)
print "The UI: %s"%(moneydance_ui)

book = moneydance_data
txnSet = book.getTransactionSet()

account = book.getRootAccount().getAccountByName("Checking")
print str(account)

txnList = []
jsonMap = { 'transactions':txnList }
for txn in txnSet.iterableTxns():
    if txn.getAccount()==account:
        txnInfo = {}
        txnInfo['date'] = txn.getDateInt()
        txnInfo['desc'] = txn.getDescription()
        txnInfo['amount'] = account.getCurrencyType().format(txn.getValue(),'.')
        txnInfo['category'] = txn.getOtherTxn(0).getAccount().getFullAccountName()
        if txn.getParentTxn()==txn:
          txnInfo['memo'] = txn.getMemo()
        txnInfo['checknum'] = txn.getCheckNumber()
        txnList.append(txnInfo)

outfile = open('/Users/sreilly/Downloads/Sample Data.json', "w")
outfile.write(json.dumps(jsonMap))
outfile.close()

print "done!"

